{% extends "base.html" %}
{% block title %}
    Connexion
{% endblock %}
{% block content %}

    {% if form.errors %}
        <p class="red-text">Nom du'utilisateur/email ou mot de passe invalide. Veuillez réessayer avec des identifiants
            corrects</p>
    {% endif %}

    {% if next %}
        {% if user.is_authenticated %}
            <p>Vous n'avez pas la permission d'accéder à cette page. Veuillez vous connecter avec un compte
                autorisé.</p>
        {% else %}
            <h4>Veuillez vous identifier pour continuer</h4>
        {% endif %}
    {% else %}
        <h4>Identifiez-vous</h4>
    {% endif %}

    <div>
        <form method="post" action="{% url 'login' %}">
            {% csrf_token %}
            <div class="input-field">
                {{ form.username }}
                <label for="id_username">Email ou Nom d'utilisateur</label>
            </div>
            <div class="input-field">
                {{ form.password }}
                {{ form.password.label_tag }}
            </div>

            <input type="submit" class="left btn indigo white-text btn-primary" value="S'identifier"/>
            <input type="hidden" name="next" value="{{ next }}"/>

            <!-- {% url 'oauth_login' provider='microsoft' %}?next={{ next|urlencode }} -->

            <a href="{% url 'oidc_authentication_init' %}"
               class="btn grey"><i class="material-icons">cloud</i>Connexion Keycloak</a>

            <a href="{% url 'password_reset' %}" class="btn orange">Mot de passe oublié</a>
        </form>
    </div>

{% endblock %}